/***************************************************************************/
/* JITES                                                                   */
/* prog AL-KHANSA JAMAL                                                    */
/* LANGAGE TC                                                              */
/*                                                                         */
/*                                VARIABLES                                */
/* Hcadre_candid = hauteur du cadre candidat                               */
/* Interl_candid = Interligne entre les cadres candidats                   */
/* Hsaisie_candid= hauteur de la zone de saisie dans cadre candidat        */
/* Lsaisie_candid = longueur de la zone de saisie candidat                 */
/* Lcadre_candid  = longueur du cadre candidat                             */
/* Interc_candid  = Intercolonne entre les cadres candidats                */
/* x_dep          = valeur de la coordonn‚e x de la  1 ere colonne         */
/* nbc_col        = nombre de candidats par colonne                        */
/***************************************************************************/

#define BAL_LISTE_INCOMPLETE    0  /* 1=Yes  0=No                            */

#include <io.h>
#include <fcntl.h>
#include <dos.h>
#include <bios.h>
#include <stdio.h>
#include <string.h>
#include <graphics.h>
#include <string.h>
#include "PCX.C"
#include "BMP.C"
union REGS rin,rout;
int affichc();
/*************************************************************************/
FILE *pf;
int i,j,x,y;
int x_dep,nbc_col;
int swpas = 0;
int swnoir = 0;
int swconf = 0;
int neffectif,nsuppleant;
int Hcadre_candid ,Interl_candid, Hsaisie_candid,Lsaisie_candid,Lcadre_candid;
int LAsaisie_candid, HAsaisie_candid;
int SWlisteincomplete = 0;
int Interc_candid ;
int scr = 0,list = 0,candid = 0;
int posc[120][4];
int cx,cy,rc,k,k1,w,temps = 1,font_nr,j,x;
int dejasel = 0, typesel = 0, suppleant,effectif;
int unic = 0; /* switch de test d'unicit‚ de vote dans les listes */
int Debut_Affichage;
char  c,*scrnom,*filename;
int nbre_vote = 0;
int nbr_max,nbr_sup;
int nbr_maxEFF = 0, nbr_maxSUP = 0;
int nombre_col,nparcol;
char f_name[50], Sname[50];
int iNbrCandMin = 0;
int iNbrCandMax = 0;

char Arrond[3+1] = "   ";
char nom_s = ' ';

char  nom_s, LANGUE,Choix_College;
char LISTE[5],bufnom[16];

int giNomY, giPrenomY;

/****************************************************************************/
#include "garnir.c"
#include "aff_cand.c"
#include "jamal.c"
/****************************************************************************/
/* BEGIN NOTUSED
bararrondi ( int x1 , int y1 , int x2 , int y2 , int color )
{
  int rayon , cx , cy ;

  rayon = ( y2 - y1 ) / 2;
  cy = y1 + rayon ;
  setcolor ( color ) ;
  pieslice ( x1+rayon , cy , 90 , 270 , rayon ) ;
  pieslice ( x2-rayon , cy , 270 , 360 , rayon ) ;
  pieslice ( x2-rayon , cy , 0 , 90 , rayon ) ;
  bar ( x1+rayon , y1 , x2-rayon, y2 ) ;

  setcolor( BLACK ) ;
  arc ( x1+rayon , cy , 90 , 270 , rayon ) ;
  arc ( x2-rayon , cy , 270 , 360 , rayon ) ;
  arc ( x2-rayon , cy , 0 , 90 , rayon ) ;
  line ( x1+rayon , y1 , x2-rayon , y1 ) ;
  line ( x1+rayon , y2 , x2-rayon , y2 ) ;

}
  END NOT USED */
/***************************************************************************/

/********* candid_param ***********/
int help(void)
{
  puts("simul cdt1.dat");
  puts("simul cdt%d.dat");
  puts("");
  puts("\"simul cdt%d.dat\"");
  puts(" -> display cdt1.dat, cdt2.dat -> cdt9.dat");
  puts("");

  return(1);
}

/**************************** CORPS DU PROGRAMME ***************************/
main(argc,argv)
int argc;
char **argv;
{
  int ind_arg = 1;
  int iCpt, iSWloop, iMax;

  if(!strcmp(argv[1], "-help") || !strcmp(argv[1], "-h"))
  {
    help();
    return(1);
  }

  if (argc < 2 || argc > 3)
  {
    fprintf(stderr, "simul: almost one parameter expected.\n");
    return(1);
  }

  iSWloop = 0;
  if(strstr(argv[1], "%d")) iSWloop = 1;

  iMax = iSWloop ? 9 : 1;

  iCpt = 1;
  while(iCpt<=iMax)
  {
    registerbgidriver (EGAVGA_driver);    /* Option pour linker avec la  */
    registerbgifont (small_font);         /* librairies GRAPHICS         */
    registerbgifont (sansserif_font);
    Initialize();
    Initpcx();

    if(!iSWloop) strcpy(f_name,argv[ind_arg]);
    else
    {
      sprintf(f_name, argv[ind_arg], iCpt);
    }
    Garnir_cand();
    param();
    list = 1;
    affichc();
    closegraph();
    ++iCpt;
  }

  return(0);
}
/***************************************************************************/
param()
{
/* param_Candidat() define New method (1, 2, 3, 4) */
#define  PARAM_CANDIDAT_METHOD   4
int nombre_col_bis;

/*  nombre_col  = (nbr_max - nbr_sup) / nbc_col;*/
/* if(((nbr_max - nbr_sup) % nbc_col) > 0) nombre_col++;*/
  if(nbr_sup > 0)
          nombre_col++;
  if(nombre_col == 5)
             nombre_col--;
#include "c_meth4.c"
}
/***************************************************************************/
